%define base_name drakx-installer-stage2
%define name %{base_name}-tmb
%define version 13.38
%define release %mkrel 1

Summary: DrakX installer stage2 image modified for kernel-tmb
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.lzma
Patch0:	 %{name}-reiser4-support.patch
Patch2:	 %{name}-dmraid45.patch
Patch3:	 %{name}-binaries.patch
# disable for now ...
#Patch4:	 %{name}-no32bit.patch
Patch5:	 %{name}-rpmsrate.patch
Patch7:	 %{name}-kernel_flavor.patch
Patch8:	 %{name}-kernels.patch
Patch9:	 %{name}-sqfs.patch
Patch10: %{name}-mdadm-raid10-layout.patch
Patch11: %{name}-nuke-xguest.patch
License: GPLv2+
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{base_name}-%{version}-%{release}-buildroot

BuildRequires: squashfs-tools >= 4.0
BuildRequires: libx11-devel perl-devel libldetect-devel >= 0.9.1 drakx-installer-binaries-tmb >= 1.46-3 parted-devel
BuildRequires: perl-Gtk2 perl-Glib perl-XML-Parser perl-Curses perl-Curses-UI perl-Term-ReadKey
BuildRequires: pixman-devel >= 0.15.18
BuildRequires: perl-Locale-gettext packdrake perl-Clone
BuildRequires: drakx-net >= 0.81.1
BuildRequires: drakx-kbd-mouse-x11 >= 0.83
BuildRequires: rpm-mandriva-setup >= 1.48
BuildRequires: perl-MDK-Common >= 1.2.25
BuildRequires: urpmi >= 6.27
BuildRequires: perl-URPM >= 3.26
BuildRequires: perl_checker
BuildRequires: meta-task
BuildRequires: ldetect-lst >= 0.1.277
BuildRequires: draksnapshot
# progs
BuildRequires: drakx-installer-matchbox
BuildRequires: e2fsprogs >= 1.41.6
BuildRequires: dosfstools mtools
BuildRequires: task-x11 libx11-devel libxxf86misc-devel x11-driver-video-fbdev x11-driver-input-vmmouse
BuildRequires: x11-data-xkbdata >= 1.8-2
BuildRequires: setserial pciutils mt-st reiserfsprogs jfsutils reiser4progs
BuildRequires: xfsprogs pcmcia-cs gettext ash linuxwacom
BuildRequires: fonts-ttf-bengali fonts-ttf-bitstream-vera fonts-ttf-lohit fonts-ttf-thai fonts-ttf-devanagari
BuildRequires: fb2png ntfsprogs ia_ora-gnome brltty
BuildRequires: lvm2 glibc-i18ndata
BuildRequires: dmraid mdadm quota
BuildRequires: losetup xmodmap xset monitor-edid locales
BuildRequires: perl-Gtk2-WebKit mandriva-doc-installer-help
BuildRequires: nfs-utils-clients ntfs-3g btrfs-progs

%description
This is the stage2 image for Mandriva DrakX installer modified for kernel-tmb.

%prep
%setup -q -n %{base_name}-%{version}
%apply_patches

%build
make -C tools
make -C perl-install/install
rpm -qa | sort > build-rpms.lst

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest

%check
cd perl-install
%make check_perl_checker

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc build-rpms.lst
%{_libdir}/%name




%changelog
* Fri Jul 02 2010 Thomas Backlund <tmb@mandriva.org> 13.38-1mdv2010.1
+ Revision: 549755
- sync with main drakx-installer-stage2-13.38
  * create symlink for /etc/pki to have it usable in stage2
- sync with main drakx-installer-stage2-13.37
  * accept https URL in install::http
  * include ca-bundle.crt

* Thu Jul 01 2010 Thomas Backlund <tmb@mandriva.org> 13.36-1mdv2010.1
+ Revision: 549727
- sync with main drakx-installer-stage2-13.36 (final banner)

* Sat Jun 26 2010 Thomas Backlund <tmb@mandriva.org> 13.35-1mdv2010.1
+ Revision: 549130
- sync with main drakx-installer-stage2-13.35

* Wed Jun 16 2010 Thomas Backlund <tmb@mandriva.org> 13.33-1mdv2010.1
+ Revision: 548179
- sync with main drakx-installer-stage2-13.33
- rebuild for updated e2fsprogs and xfsprogs

* Mon May 31 2010 Thomas Backlund <tmb@mandriva.org> 13.31-2mdv2010.1
+ Revision: 546752
- build against fixed drakx-installer-binaries-tmb-1.46-3mdv
- sync with main drakx-installer-stage2-13.31
- drop xguest from default install
- create md raid10 with f2 layout
- rediff tmb-kernels patch
- rediff kernel_flavour patch
- rediff rpmsrate list for kernel-tmb
- rediff dm-raid45 support patch
- drop md raid10 patch (merged in main installer)
- rediff patch for reiser4 support
- sync with main drakx-installer-stage2-13.30

* Mon Jan 18 2010 Thomas Backlund <tmb@mandriva.org> 13.4-1mdv2010.1
+ Revision: 492880
- rediff patches to apply cleanly
- sync with main drakx-installer-stage2-13.4

* Sun Oct 25 2009 Thomas Backlund <tmb@mandriva.org> 12.71-1mdv2010.0
+ Revision: 459187
- rediff patches to apply cleanly
- sync with main drakx-installer-stage2-12.71
- md raid: create with metadata 1.0 by default
- md raid10: create with metadata 1.1 and layout f2 by default

* Thu Oct 15 2009 Thomas Backlund <tmb@mandriva.org> 12.65-1mdv2010.0
+ Revision: 457575
- sync with main drakx-installer-stage2-12.65
- rebuild against drakx-installer-binaries-tmb-1.42-3mdv
- rediff fuzzy patches

* Thu Oct 08 2009 Thomas Backlund <tmb@mandriva.org> 12.61-1mdv2010.0
+ Revision: 456191
- sync with main drakx-installer-stage2-12.61
- rediff rpmsrate patch
- rediff reiser4 patch
- sync with main drakx-installer-stage2-12.60.1

* Wed Sep 30 2009 Thomas Backlund <tmb@mandriva.org> 12.54-3mdv2010.0
+ Revision: 451885
- rename squashfs stage2 image so it can coexist with main stage2 image

* Wed Sep 30 2009 Thomas Backlund <tmb@mandriva.org> 12.54-2mdv2010.0
+ Revision: 451115
- rebuild with fixed ldetect

* Fri Sep 25 2009 Thomas Backlund <tmb@mandriva.org> 12.54-1mdv2010.0
+ Revision: 448577
- rediff kernel-tmb patch
- rediff kernel_flavour patch
- rediff rpmsrate patch
- rediff dm-raid45 support
- rediff raid10 support
- sync with main drakx-installer-stage2-12.54
- update dmraid45 patch

* Mon Sep 07 2009 Thomas Backlund <tmb@mandriva.org> 12.48-1mdv2010.0
+ Revision: 433000
- drop patch6, merged upstream
- rediff dmraid45 patch
- rediff raid10 patch
- sync with main drakx-installer-stage2-12.48.tar.lzma

* Fri Sep 04 2009 Thomas Backlund <tmb@mandriva.org> 12.47-1mdv2010.0
+ Revision: 431247
- set new kernel_flavor parameter to use kernel-tmb / Thierry
- Make it easier to switch base kernel / Thierry
- (setPackages) install the right kernel-XXX-devel-latest flavor instead of
  hardcoding 'kernel-desktop-devel-latest' / Thierry
- fix rpmsrate for kernel-tmb and reiser4progs
- update tmb-binaries patch
- update reiser4 patch to not bloat gui
- sync with main drakx-installer-stage2-12.47

* Mon Aug 31 2009 Thomas Backlund <tmb@mandriva.org> 12.46-5mdv2010.0
+ Revision: 422761
- fix no32bit patch to actually build
- add no32bit boot option to make it possible to install a clean 64bit
  environment (32bit sources are still added, but disabled by default)

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 12.46-4mdv2010.0
+ Revision: 422330
- fix path to drakx-installer-binaries-tmb

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 12.46-3mdv2010.0
+ Revision: 422290
- install tmb kernels instead of main kernels

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 12.46-2mdv2010.0
+ Revision: 422266
- build against drakx-installer-binaries-tmb

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 12.46-1mdv2010.0
+ Revision: 422227
- fix dm-raid45 support
- fix md raid10 support
- make Reiser4 visible during install
- fix Reiser4 support
- sync with main drakx-installer-stage2-12.46

* Sat May 02 2009 Thomas Backlund <tmb@mandriva.org> 12.35-1mdv2010.0
+ Revision: 370572
- sync with main drakx-installer-stage2-12.35

* Sun Apr 19 2009 Thomas Backlund <tmb@mandriva.org> 12.28.1-1mdv2009.1
+ Revision: 368082
- fix patch2 to apply cleanly
- sync with main drakx-installer-stage2-12.28.1
- rediff patches0-3

* Tue Mar 31 2009 Thomas Backlund <tmb@mandriva.org> 12.21-2mdv2009.1
+ Revision: 362968
- add ff-memless to list_modules too

* Tue Mar 31 2009 Thomas Backlund <tmb@mandriva.org> 12.21-1mdv2009.1
+ Revision: 362886
- sync with main drakx-installer-stage2-12.21
- sync list_modules with drakx-installer-images-tmb

* Thu Mar 19 2009 Thomas Backlund <tmb@mandriva.org> 12.16-2mdv2009.1
+ Revision: 357902
- add P1: add raid10 support
- add P0: reiser4 support in installer (tv)

* Thu Mar 19 2009 Thomas Backlund <tmb@mandriva.org> 12.16-1mdv2009.1
+ Revision: 357638
- use correct name on spec file
- add reiser4progs~
- adapt for -tmb
- use drakx-installer-stage2-12.16 as base
- Created package structure for drakx-installer-stage2-tmb.

